package com.tykj.dev.misc.base;

import lombok.AllArgsConstructor;

/**
 * @author dengdiyi
 * 入库类型枚举
 */

@AllArgsConstructor
public enum StorageType {
    /**
     * 横向
     */
    HORIZONTAL(1, "横向"),
    /**
     * 纵向
     */
    VERTICAL(2, "纵向"),
    /**
     * 委托
     */
    ENTRUST(3, "委托"),
    /**
     * 代管
     */
    ESCROW(4, "代管"),
    /**
     * 其他
     */
    OTHER(5, "其他");

    public Integer id;

    public String name;
}
